﻿using Infragistics.Windows.OutlookBar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Input;

namespace XamOutlookBarKeyboardShortcuts
{
    /// <summary>
    /// Only used for the Window.InputBindings approach.
    /// </summary>
    public class MainViewModel
    {
        public ICommand ChangeGroupCommand { get; set; }

        public MainViewModel()
        {
            ChangeGroupCommand = new RelayCommand<KeyBinding>(x => ChangeGroup(x));
        }

        private void ChangeGroup(KeyBinding keyBinding)
        {
            XamOutlookBar outlookBar = keyBinding.CommandTarget as XamOutlookBar;
            if (outlookBar != null)
            {
                foreach (var group in outlookBar.Groups)
                {
                    foreach (KeyBinding binding in group.InputBindings)
                    {
                        if (binding.Modifiers == keyBinding.Modifiers && binding.Key == keyBinding.Key)
                        {
                            group.IsSelected = true;
                            return;
                        }
                    }
                }
            }
        }
    }
}
